package com.ho.user.service;

import com.ho.user.entity.SysPosition;
import com.ho.user.vo.req.PositionAddReqVO;
import com.ho.user.vo.req.PositionQueryReqVO;
import com.ho.user.vo.req.PositionUpdateReqVO;

import java.util.List;

/**
 * @Description 岗位管理业务类
 * Author yule
 * Date 2022/12/1 15:57
 */
public interface PositionService {

    //新增岗位
    int add(PositionAddReqVO vo);

    SysPosition selectById(Integer id);

    //根据条件查询岗位(精确查询)
    List<SysPosition> selectAccuratePositionByInfo(SysPosition sysPosition);

    //岗位以上的
    List<SysPosition> getPositionByTop();

    //查询全部
    List<SysPosition> selectAll();

    List<SysPosition> selectAvailable();

    //根据条件模糊查询
    List<SysPosition> selectObscure(PositionQueryReqVO vo);

    //根据id删除
    void deleted(Integer id);

    //更新岗位信息
    void updatePosition(PositionUpdateReqVO vo);

    List<Integer> selectPostIds(List<String> postCodes);
}
